Webhooks
GET https://gratisqrcode.nl/api/notification-handlers/
curl --request GET \
--url 'https://gratisqrcode.nl/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| search | Valgfritt Streng | Søkestrengen. |
| search_by | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: name. |
| is_enabled | Valgfritt Boolsk | |
| type | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | Valgfritt Streng | Tillatte verdier: datetime, last_datetime |
| datetime_start | Valgfritt Streng | Filtrer resultater fra og med dette tidspunktet. Format Y-m-d H:i:s. |
| datetime_end | Valgfritt Streng | Filtrer resultater til og med dette tidspunktet. Format Y-m-d H:i:s. |
| order_by | Valgfritt Streng | Hvilket felt resultatene skal sorteres etter. Tillatte verdier er: notification_handler_id, datetime, last_datetime, name. |
| order_type | Valgfritt Streng | Sorteringsrekkefølgen for resultatene. Tillatte verdier er: ASC for stigende sortering, og DESC for synkende sortering. |
| search | Valgfritt Streng | Søkestrengen. |
| search_by | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: name. |
| is_enabled | Valgfritt Boolsk | |
| type | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | Valgfritt Streng | Tillatte verdier: datetime, last_datetime |
| datetime_start | Valgfritt Streng | Filtrer resultater fra og med dette tidspunktet. Format Y-m-d H:i:s. |
| datetime_end | Valgfritt Streng | Filtrer resultater til og med dette tidspunktet. Format Y-m-d H:i:s. |
| order_by | Valgfritt Streng | Hvilket felt resultatene skal sorteres etter. Tillatte verdier er: notification_handler_id, datetime, last_datetime, name. |
| order_type | Valgfritt Streng | Sorteringsrekkefølgen for resultatene. Tillatte verdier er: ASC for stigende sortering, og DESC for synkende sortering. |
| page | Valgfritt Heltall | Sidenummeret du vil ha resultater fra. Standard er 1. |
| results_per_page | Valgfritt Heltall | Hvor mange resultater du vil ha per side. Tillatte verdier er: 10, 25, 50, 100, 250, 500, 1000. Standard er 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-19 12:30:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://gratisqrcode.nl/api/notification-handlers?page=1",
"last": "https://gratisqrcode.nl/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://gratisqrcode.nl/api/notification-handlers?page=1"
}
}
GET https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-19 12:30:56",
}
}
POST https://gratisqrcode.nl/api/notification-handlers
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| name | Påkrevd Streng | - |
| type | Påkrevd Streng | Tillatte verdier: email, webhook, slack, discord, telegram, microsoft_teams |
| Valgfritt Streng | Tilgjengelig når: type = email E-post | |
| webhook | Valgfritt Streng | Tilgjengelig når: type = webhook Webhook-URL |
| slack | Valgfritt Streng | Tilgjengelig når: type = slack Slack-webhook-URL |
| discord | Valgfritt Streng | Tilgjengelig når: type = discord Discord-webhook-URL |
| telegram | Valgfritt Streng | Tilgjengelig når: type = telegram Telegram API-token |
| telegram_chat_id | Valgfritt Streng | Tilgjengelig når: type = telegram Telegram chat-ID |
| microsoft_teams | Valgfritt Streng | Tilgjengelig når: type = microsoft_teams Microsoft Teams-webhook-URL |
curl --request POST \
--url 'https://gratisqrcode.nl/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://gratisqrcode.nl/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| name | Valgfritt Streng | - |
| type | Valgfritt Streng | Tillatte verdier: email, webhook, slack, discord, telegram, microsoft_teams |
| Valgfritt Streng | Tilgjengelig når: type = email E-post | |
| webhook | Valgfritt Streng | Tilgjengelig når: type = webhook Webhook-URL |
| slack | Valgfritt Streng | Tilgjengelig når: type = slack Slack-webhook-URL |
| discord | Valgfritt Streng | Tilgjengelig når: type = discord Discord-webhook-URL |
| telegram | Valgfritt Streng | Tilgjengelig når: type = telegram Telegram API-token |
| telegram_chat_id | Valgfritt Streng | Tilgjengelig når: type = telegram Telegram chat-ID |
| microsoft_teams | Valgfritt Streng | Tilgjengelig når: type = microsoft_teams Microsoft Teams-webhook-URL |
| is_enabled | Valgfritt Boolsk | - |
curl --request POST \
--url 'https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \